function [test]= March(res,p,n)
% Test for Multivariate ARCH
%
% Reference: Lutkepohl (2005), New Introduction to Multiple Time Series Analysis, Springer. pp. 576-577


V = p*n^2*(n+1)^2/4; %Degrees of freedom
uhat = res-ones(length(res),1)*mean(res);
i = 1;
% Initialize matrices
UUT = zeros(n*(n+1)/2,1);
i=1;
while i <=length(uhat)
utut = uhat(i,:)'*uhat(i,:);
  % the vech operator
tmp  = [];
  for ii=1:n
     tmp = [tmp; utut(ii:end,ii)];
  end
  UUT = [UUT tmp];
  i = i+1;
end
UUT=UUT(:,2:length(UUT));
% Create matrices of regressors
Y = UUT(:,1+p:length(UUT));
Z = ones(1,length(uhat)-p); 
i = 1;
while i <= p
  Z = [Z; UUT(:,1+p-i:length(UUT)-i)];
  i = i+1;
end
A=Y*Z'*inv(Z*Z');
omega = (Y-A*Z)*(Y-A*Z)';
omega = omega/length(Y);
% Compute omega0
a=mean(Y');
omega0 = (Y-a')*(Y-a')';
omega0 = omega0/length(Y);
R2 = 1-2/(n*(n+1))*sum(diag(omega*inv(omega0)));
VARCHLM = length(Y)*n*(n+1)*R2/2 ;

test=[VARCHLM; 1-chi2cdf(VARCHLM,V); V]; 

%Produce table with the results
display('Tests for Multivariate ARCH');
disp(table(categorical({'test statistic:' ; 'p-value' ; 'degrees of freedom'}),test,'VariableNames',{'Test' 'Doornik_Hendry'}));
end