function [stat, pval] = Portmanteau(res,ac, lags)
[t, n] = size(res);

C0 = (res'*res)/t;

V = n^2*(ac-lags)%Degrees of freedom 

% Define the following in order to get an initial value of stat
stat = 0; 

for j=1:ac
    Cj = rmmissing([lagmatrix(res,j) res]);
    Cj = Cj(:,1:n)'*Cj(:,n+1:end)/t;
    
    stat = stat + trace(Cj'/C0*Cj/C0);
end

%Compute the statistic and p value
stat = t*stat;
pval = chi2cdf(stat,V,'upper'); 

disp('Portmanteau test for Multivariate autocorrelation');
tab = array2table([stat, pval]);
tab.Properties.VariableNames = {'Statistic', 'Pvalue'};
disp(tab);

end

