function plotcft(CFT, pre, post, printvars, path, poslegend)

if isempty(poslegend)
    poslegend = 'NorthWest';
end

T = size(CFT.Pre, 1);
time = CFT.time;
timeT = time(T);
finalT = max(time);
BL = [CFT.Pre; CFT.BL];
Scenario = [CFT.Pre; CFT.Scenario];
lo = [CFT.Pre; CFT.Scenariobands(:,:,1)];
up = [CFT.Pre; CFT.Scenariobands(:,:,2)];
if size(BL,1) <= size(time,1)
    time = time(1:size(BL,1),1);
else
    freq = sum(floor(time) == max(floor(time))-1 ); % 4 or 12
    for tt = 1:(size(BL,1)-size(time,1))
        time(end+1) = time(end) + 1/freq;
    end
end

BL = BL((T+pre+1):(T+post),:);
Scenario = Scenario((T+pre+1):(T+post),:);
lo = lo((T+pre+1):(T+post),:);
up = up((T+pre+1):(T+post),:);
time = time((T+pre+1):(T+post),:);

n = size(BL,2);
nrow = ceil(n/3);

figure()
for vv = 1:n
    maxim = max([BL(:,vv); lo(:,vv); up(:,vv)]);
    maxim = maxim + 0.1*abs(maxim);
    minim = min([BL(:,vv); lo(:,vv); up(:,vv)]);
    minim = minim - 0.1*abs(minim);
    subplot(nrow, 3, vv)
    shadedplot(time,lo(:,vv)',up(:,vv)',[.9 .9 .9],[.9 .9 .9] );
    hold on
    plot(time, zeros(post-pre,1), 'k', 'LineWidth', 0.5)
    p1=plot(time, BL(:,vv), 'k','LineWidth', 2);
    p2=plot(time, Scenario(:,vv), '--k', 'LineWidth', 2);
    grid on
    axis('tight')
    xline(timeT, 'k', 'LineWidth', 0.5)
    if finalT <= max(time)
        xline(finalT, 'Color', [.7 .7 .7], 'LineWidth', 0.5);
    end
    ylim([minim maxim])
    title(printvars(vv),'FontSize',14)
    if vv == 3
        legend([p1 p2], {'Observed','Counterfactual'}, 'Location',poslegend,'FontSize',10)
        legend boxoff
    end
    set(gca,'GridLineStyle','-','Layer','bottom')
    set(gcf,'paperpositionmode','auto')
end
set(gcf, 'position', [0 0 800 nrow*200]);
print(gcf,'-depsc2','-loose',strcat(path,'_cf'));