
clear all; clc;

cd('/Users/gabrielzullig/Dropbox/Teaching/macrometrics/codes')

addpath('./_tbx') 
addpath('./_tbx/supportfct') 


%% 1. Preliminary data stuff
c01_prepare_data_m;
c01_prepare_data_q;


%% 2. Linear local projection
c02_show_lplinchol;
c02_show_lplininst;


%% 2. Nonlinear local projection
c02_show_lpnonlin;
c02_show_lpnonlininst;


%% 3. Linear VAR: the ancient case (Cholesky)
c03_show_varchol;


%% 4. Linear VAR: sign restrictions
c04_show_varsign;


%% 5. Linear VAR: IV identification
c05_show_proxyvar; % Gertler & Karadi
%c05_proxyvar2; % Nakamura & Steinsson
%c05_proxyvar3; % Romer & Romer
%c05_proxyvar4; % Miranda-Agrippino


%% 6. Smooth-transition VAR: zero lower bound
c06_show_stvar;
c06_show_stvarFiscal;


%% 7. IVAR: zero lower bound / interest rate level
c07_show_ivar;


%% 8. Linear NK-DSGE
c08_show_dsge_nk; % Gali textbook model, estimated
c08_show_dsge_sw; % Smets & Wouters: 2007 and update, estimated
c08_show_dsge_swzqe; % Sims, & Wu & Zhang: 4-equation model of QE, estimated


%% Further tools (Section 8 of handbook)
c81_counterfactuals;
c82_misspecification;
c83_VAR2020;  
