
addpath('./_tbx/lp_tbx') 

%% Settings
folder = 'c02_lplin/inst';
p = 6; % easily overfitted
h = 48;
c_case = 1;
vars = {'GDPgap','Unemp','CoreCPIGr12','FFR'};
exvars = {};
n = length(vars);
ident = 'proxy';
proxyvar = {'mpsprMA'};
shockpos = 4; % position of the shock in the Cholesky ordering
shocksize = 0; 
state.nonlinear = 'no';
alpha = 90; %confidence level


%% Load data, generate lags, subset relevant subsample, etc.
load('data/data_m_ready.mat')
subset_data;

%% Estimate dynamic multipliers
LP = estimateLPz(data, z, h, p, c_case, [], alpha);

%% Plot impulse responses
plotirf1(LP.gamma, LP.gammabands, printvars, strcat(folder,'lin'))
save(strcat(folder, 'out.mat'), 'LP')