
addpath('./_tbx/lp_tbx') 

%% Settings
folder = 'c02_lpnonlin/inst';
p = 6;
h = 48;
c_case = 1;
vars = {'GDPgap','Unemp','CoreCPIGr12','FFR'};
exvars = {};
n = length(vars);
ident = 'proxy';
proxyvar = {'mpsprGK4'};
shockpos = 4; % position of the shock in the Cholesky ordering
shocksize = 0; 
state.nonlinear = 'yes'; 
state.logistic = 'yes';
state.interacted = 'no';
state.statevar = {'Unemp'}; 
state.gamma = -5;  % because gamma enters negatively, a double negative indicates positive values = regime 2
state.cq = 60;
alpha = 90; %confidence level


%% Load data, generate lags, subset relevant subsample, etc.
load('data/data_m_ready.mat')
subset_data; 

%% Estimate dynamic multipliers
LP = estimateLPznonlin(data, z, state.Fs, h, p, c_case, [], alpha);

%% Plot impulse responses
plotirf2(LP.gamma1, LP.gamma1bands, LP.gamma2, LP.gamma2bands, printvars, strcat(folder,'nonlin'), {'Expansion','Recession'},'NorthEast')
save(strcat(folder, 'out.mat'), 'LP')