
addpath('./_tbx/var_tbx') 
addpath('./_tbx/stvar_tbx') 


%% Settings
folder = 'c06_stvar/';
p = 3;
h = 25;
c_case = 1;
vars = {'GDPgap','CoreCPIGr4','FFRshadow'};
exvars = {};
n = length(vars);
ident = 'chol';
shockpos = 3; % position of the shock in the Cholesky ordering
shocksize = 1; % 0 = one standard deviation, all else: absolute values
state.nonlinear = 'yes';
state.logistic = 'yes';
state.interacted = 'no';
state.statevar = {'MortgGDPGr4'};
state.gamma = 10;
state.cq = 33;
nboot = 50000; % first 20% will be discarded
alpha = 90; %confidence level


%% Load data, generate lags, subset relevant subsample, etc.
load('data/data_q_ready.mat')
subset_data;

%% Estimate matrices A, Omega, S, dynamic multipliers incl. Cholesky identification
STVAR = estimateSTVAR(data, state, shockpos, shocksize, p, c_case, exdata, h, nboot, alpha);

%% Plot impulse responses and save VAR structure
plotirf2(STVAR.IRF1, STVAR.IRF1bands, STVAR.IRF2, STVAR.IRF2bands, printvars, strcat(folder,'nonlin'), {'High debt growth','Low debt growth'}, [])
save(strcat(folder, 'out.mat'), 'STVAR')
