
addpath('./_tbx/dsge_tbx/Dynare 4.5.4/matlab') 

%% Settings
folder = 'c08_dsge_nk/';
vars = {'GDPgap','dCoreCPI','FFRshadowdev'};
printvars = {'Output','Inflation','Interest rate'};

%% Load data and create 'data_for_dynare.mat'
load('data/data_q_ready.mat'); % load data library
% select all the variables in 1 matrix
data = NaN*ones(size(data_lib,1), length(vars));
printvars = {};
for vv = 1:length(vars)
    col = find(strcmp(labels_lib, vars(vv)));
    data(:,vv) = data_lib(:, col);
    printvars = [printvars, printlabels_lib(col)];
end
% timing restrictions
data = data(logical(time >= 1954) & logical(time <= 2019), :);
% target time series, will be called by .mod file
y_obs = data(:,1);
pi_obs = data(:,2);
r_obs = data(:,3)/4;
save(strcat(folder,'data_for_dynare.mat'),'y_obs','pi_obs','r_obs')

%% Estimation (calling dynare)
dir = cd;
cd(strcat(dir, '/', folder))

dynare nk3

cd(dir)

%% Extract impulse responses and save results
IRF = [oo_.irfs.y_epsi', oo_.irfs.pi_epsi', oo_.irfs.r_epsi'];
IRF(:,3) = IRF(:,3)*4; %in the model, interest rate is defined per quarter
IRF = IRF ./ IRF(1,3);
IRFbands = repmat(IRF, 1, 1, 2);
plotirf1(IRF, IRFbands, {'Output','Inflation','Interest rate'}, strcat(folder,'lin'))
save(strcat(folder, 'out.mat'), 'IRF','oo_')

