
addpath('./_tbx/dsge_tbx/Dynare 4.5.4/matlab') 

%% Settings
folder = 'c08_dsge_sw/';
vars = {'dCONS','dINV','dGDPPC','THOURS','dGDPDEF','dWAGE','FFRshadow'};

%% Load data and create 'data_for_dynare.mat'
load('data/data_q_ready.mat'); % load data library
% select all the variables in 1 matrix
data = NaN*ones(size(data_lib,1), length(vars));
printvars = {};
for vv = 1:length(vars)
    col = find(strcmp(labels_lib, vars(vv)));
    data(:,vv) = data_lib(:, col);
    printvars = [printvars, printlabels_lib(col)];
end
% timing restrictions
data = data(logical(time >= 1954) & logical(time <= 2019), :);
time = time(logical(time >= 1954) & logical(time <= 2019), :);
% target time series, will be called by .mod file
dc = data(:,1);
dinve = data(:,2);
dy = data(:,3);
labobs = data(:,4)-mean(data(:,4));
pinfobs = data(:,5);
dw = data(:,6);
robs = data(:,7)/4;
save(strcat(folder,'data_for_dynare.mat'),'dc','dinve','dy','labobs','pinfobs','dw','robs');
% to use this data, go to .mod file, comment out the 'original' estimation
% line (ca. 200) and uncomment the update 

%% Estimation (calling dynare)
dir = cd;
cd(strcat(dir, '/', folder))

dynare smets_wouters_07

cd(dir)

%% Extract impulse responses and save results
IRF = [oo_.irfs.y_em', oo_.irfs.pinf_em', oo_.irfs.r_em'];
IRF(:,3) = IRF(:,3)*4; %in the model, interest rate is defined per quarter
IRF = IRF ./ IRF(1,3);
IRFbands = repmat(IRF, 1, 1, 2);
plotirf1(IRF, IRFbands, {'Output','Inflation','Interest rate'}, strcat(folder,'lin'))
save(strcat(folder, 'out.mat'), 'IRF','oo_')
